/*
 * calmwm - the calm window manager
 *
 * Copyright (c) 2004 Marius Aamodt Eriksen <marius@monkey.org>
 * All rights reserved.
 *
 * $Id: screen.c,v 1.2 2004/07/04 02:05:31 marius Exp $
 */

#include "headers.h"
#include "calmwm.h"

extern struct screen_ctx_q	G_screenq;

struct screen_ctx *
screen_fromroot(Window rootwin)
{
	struct screen_ctx *sc;

	TAILQ_FOREACH(sc, &G_screenq, entry)
		if (sc->rootwin == rootwin)
			return (sc);

	/* XXX FAIL HERE */
	return (TAILQ_FIRST(&G_screenq));
}

struct screen_ctx *
screen_current(void)
{
	return (screen_fromroot(DefaultScreen(G_dpy)));
}
